4.7.31市民ボランティアの問題

4.7.31にアップグレードした後(WordPressで) –
CiviVolunteerのフィールドを持つイベントなど、次の問題のポップアップページが表示されます。

Warning: Declaration of CRM_Volunteer_BAO_Project::copyValues(&$params) should be compatible with CRM_Core_DAO::copyValues(&$params, $serializeArrays = false) in /home5/site/public_html/wp-content/uploads/civicrm/ext/org.civicrm.volunteer/CRM/Volunteer/BAO/Project.php on line 36

36行目には次のコードがあります:

class CRM_Volunteer_BAO_Project extends CRM_Volunteer_DAO_Project {

ここで何が間違っているのか分かりません。 CiviVolunteer 4.7.21-2.2.3

ベストアンサー

これは最近報告されました。しかし、私は慣れていないそれ。それは簡単な修正でなければなりませんが、PHPのエラー報告を無効にすることでこれを解決することもできます。これを参照してください関連 PHP
ドキュメントを参照してください。
display_errors を有効にして本番サイトを実行することはお勧めしません。

コメントする

メールアドレスが公開されることはありません。 * が付いている欄は必須項目です